import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { NgbModule } from '@ng-bootstrap/ng-bootstrap';
import { HttpClientModule } from '@angular/common/http';
import { FormsModule } from '@angular/forms';
import { LaddaModule } from 'angular2-ladda';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { AppBotonera } from './botonera/botonera.component';
import { ComprobantesComponent } from './comprobantes/comprobantes.component';
import { NombreEmpresaComponent } from './nombre-empresa/nombre-empresa.component';
import { AccionesComponent } from './acciones/acciones.component';
import { LoginComponent } from './login/login.component';
import { BusquedaComprobanteComponent } from './busqueda-comprobante/busqueda-comprobante.component';
import { ModalAlertComponent } from './modal/modal-alert/modal-alert.component';

@NgModule({
  declarations: [
    AppComponent,
    AppBotonera,
    ComprobantesComponent,
    NombreEmpresaComponent,
    AccionesComponent,
    LoginComponent,
    BusquedaComprobanteComponent,
    ModalAlertComponent
  ],
  imports: [
    BrowserModule,
    AppRoutingModule,
    NgbModule,
    HttpClientModule,
    FormsModule,
    LaddaModule
  ],
  entryComponents: [
    BusquedaComprobanteComponent,
    ModalAlertComponent
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
