import { Component, OnInit} from '@angular/core';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';
import { BusquedaComprobantesService } from './busqueda-comprobantes.service';

@Component({
  templateUrl: './busqueda-comprobante.component.html',
  styleUrls: ['./busqueda-comprobante.component.scss'],
  providers: [BusquedaComprobantesService]
})
export class BusquedaComprobanteComponent implements OnInit {

  comprobantes: Array<Object> = [];
  paginaActiva = 1;
  paginas = [];
  cantidadPorPagina = 10;

  constructor(public activeModal: NgbActiveModal, public comprobanteService: BusquedaComprobantesService) { }

  ngOnInit() {
    this.comprobanteService.getComprobantes().subscribe((data: Array<Object>) => {
      this.comprobantes = data;
      this.paginar();
    });
  }

  getPaginaFiltro() {
    return this.comprobantes.slice((this.paginaActiva - 1) * this.cantidadPorPagina,
      this.paginaActiva * this.cantidadPorPagina);
  }

  paginar() {

    var cantPaginas = Math.ceil(this.comprobantes.length / this.cantidadPorPagina);
    this.paginas = [];
    for (let i = 0; i < cantPaginas; i++) {
      this.paginas.push(i + 1);
    }
  }

  rellenar(relleno: number, numero: number) {

    if (numero.toString().length >= relleno) {
      return numero;
    }

    let rellenar = '';

    for (let i = 0; i < relleno - numero.toString().length; i++) {
      rellenar += '0'
    }

    return rellenar + numero.toString();
  }

  close() {
    this.activeModal.dismiss();
  }

  selectItem(comprobante: object) {
    this.activeModal.close(comprobante);
  }
}
