import { Component, OnInit } from '@angular/core';
import { NombreEmpresaService } from './nombre-empresa.service';

@Component({
  selector: 'app-nombre-empresa',
  templateUrl: './nombre-empresa.component.html',
  styleUrls: ['./nombre-empresa.component.css'],
  providers: [NombreEmpresaService]
})
export class NombreEmpresaComponent implements OnInit {

  nombreEmpresa: string;
  direccionEmpresa: string;

  constructor(private nombreEmpresaService: NombreEmpresaService) { }

  ngOnInit() {

    if (localStorage.getItem('nombreEmpresa') && localStorage.getItem('direccionEmpresa')) {
      this.nombreEmpresa = localStorage.getItem('nombreEmpresa');
      this.direccionEmpresa = localStorage.getItem('direccionEmpresa');
    } else {

      this.nombreEmpresaService
        .getNombreEmpresa()
        .subscribe(data => {

          this.nombreEmpresa = data['nombreEmpresa'];
          this.direccionEmpresa = data['direccionEmpresa'];

          localStorage.setItem('nombreEmpresa', this.nombreEmpresa);
          localStorage.setItem('direccionEmpresa', this.direccionEmpresa);
        }, err => console.log(err) );
    }

  }

}
